List all work items
curl --request GET \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work Item
List all work items
Returns a list of all work items in a project.
GET
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
projects
/
{project_id}
/
work-items
/
List all work items
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier of the project.
Query parameters
string
Filter by project ID.
string
Filter by state ID.
string
Filter by assignee user ID.
number
Number of results to return per page.
number
Number of results to skip for pagination.
string
Comma-separated list of fields to expand. Possible values:
type, module, labels, assignees, state, project.
